### Method

# RB EntryView set_fixed_column_width

#### Declaration [src]

    void
    rb_entry_view_set_fixed_column_width (
      RBEntryView* view,
      GtkTreeViewColumn* column,
      GtkCellRenderer* renderer,
      const gchar** strings
    )

#### Description [src]

Helper function for calling `rb_set_tree_view_column_fixed_width` on a column. This is important for performance reasons, as having the tree view measure the strings in each of 20000 rows is very slow.

#### Parameters

`column`

  Type: `GtkTreeViewColumn`

  The column to set the width for.

  The data is owned by the caller of the method.

`renderer`

  Type: `GtkCellRenderer`

  A temporary cell renderer to use.

  The data is owned by the caller of the method.

`strings`

  Type: An array of `gchar*`

  A NULL-terminated array of strings that will be displayed in the column.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.